import Ajax from '../../util/ajax'
import api from '../../util/api'
const http = new Object

// 请求数据
http.getNav = (data) => {
  return new Promise((resolve, reject) => {
    Ajax(api.index.location.url, {
      method: api.index.location.method,
      queryData: {
        issys: data.issys,
        orgid: data.orgid
      }
    }).then(res => {
      resolve(res)
    }).catch((err) => {
      reject(err)
    })
  })
}

http.getBanner = (data) => {
  console.log(data)
  return new Promise((resolve, reject) => {
    Ajax(api.index.banner.url, {
      method: api.index.banner.method,
      queryData: {
        locationid: data.locationid,
        orgid: data.orgid
      }
    }).then(res => {
      resolve(res)
    }).catch((err) => {
      reject(err)
    })
  })
}

http.getList = (data) => {
  console.log(data)
  return new Promise((resolve, reject) => {
    Ajax(api.index.list.url, {
      method: api.index.list.method
    }).then(res => {
      resolve(res)
    }).catch((err) => {
      reject(err)
    })
  })
}

http.getCms = (data) => {
  console.log(data)
  return new Promise((resolve, reject) => {
    Ajax(api.index.cms.url, {
      method: api.index.cms.method,
      queryData: {
        locationid: data.locationid,
        orgid: data.orgid
      }
    }).then(res => {
      resolve(res)
    }).catch((err) => {
      reject(err)
    })
  })
}

export default {
  namespaced: true,
  state: {
    nav: [],
    banner: [],
    list: [],
    cms: []
  },
  mutations: {
    setNav (state, data) {
      state.nav = data
    },
    setBanner (state, data) {
      state.banner = data
    },
    setList (state, data) {
      state.list = data
    },
    setCms (state, data) {
      state.cms = data
    }
  },
  actions: {
    getNav (context, data) {
      return new Promise((resolve) => {
        http.getNav(data).then((res) => {
          context.commit('setNav', res)
          resolve(res)
        })
      })
      
    },
    getFiveAInfo (context, data) {
      console.log(data)
      http.getBanner(data).then((res) => {
        context.commit('setBanner', res)
      })
      // http.getList(data).then((res) => {
      //   context.commit('setList', res)
      // })
      http.getCms(data).then((res) => {
        context.commit('setCms', res)
      })
    }
  }
}
