
import Vue from 'vue'
import Vuex from 'vuex'
Vue.use(Vuex)

const store = new Vuex.Store({
  state: {
    loadding: false,
    pageSize: 10,
  }
})
export const modules = {
  app: () => require('./app/app').default,
  index: () => require('./index/index').default,
  fiveA: () => require('./fiveA/fiveA').default,
  userCenter: () => require('./userCenter/userCenter').default,
}

Object.keys(modules).forEach((modKey) => {
  const modNS = modKey.split('/')
  const getMod = modules[modKey]
  store.registerModule(...modNS, getMod())
})

export default store
