import Ajax from '../../util/ajax'
import api from '../../util/api'
const http = new Object

// 请求数据
http.getIndexLocation = (data) => {
  return new Promise((resolve, reject) => {
    Ajax(api.index.location.url, {
      method: api.index.location.method,
      queryData: {
        issys: data.issys,
        orgid: data.orgid
      }
    }).then(res => {
      resolve(res)
    }).catch((err) => {
      reject(err)
    })
  })
}

http.getBanner = (data) => {
  return new Promise((resolve, reject) => {
    Ajax(api.index.banner.url, {
      method: api.index.banner.method,
      queryData: {
        locationid: data.locationid,
        orgid: data.orgid
      }
    }).then(res => {
      resolve(res)
    }).catch((err) => {
      reject(err)
    })
  })
}

http.getMessage = (data) => {
  return new Promise((resolve, reject) => {
    Ajax(api.index.message.url, {
      method: api.index.message.method,
      queryData: {
        locationid: data.locationid,
        orgid: data.orgid
      }
    }).then(res => {
      resolve(res)
    }).catch((err) => {
      reject(err)
    })
  })
}

http.getProject = (data) => {
  return new Promise((resolve, reject) => {
    Ajax(api.index.project.url, {
      method: api.index.project.method,
      queryData: {
        locationid: data.locationid,
        orgid: data.orgid
      }
    }).then(res => {
      resolve(res)
    }).catch((err) => {
      reject(err)
    })
  })
}

http.getCms = (data) => {
  return new Promise((resolve, reject) => {
    Ajax(api.index.cms.url, {
      method: api.index.cms.method,
      queryData: {
        locationid: data.locationid,
        orgid: data.orgid
      }
    }).then(res => {
      resolve(res)
    }).catch((err) => {
      reject(err)
    })
  })
}

export default {
  namespaced: true,
  state: {
    banner: [],
    fiveA: [],
    message: [],
    project: [],
    cms: []
  },
  mutations: {
    setBanner (state, data) { // 获取首页轮播图
      state.banner = data
    },
    setFiveA (state, data) { // 获取5A
      state.fiveA = data
    },
    setMessage (state, data) { // 获取首页消息
      state.message = data
    },
    setProject (state, data) { // 获取项目专题
      state.project = data
    },
    setCms (state, data) { // 获取cms
      state.cms = data
    }
  },
  actions: {
    getIndexLocation (context, data) {
      return new Promise((resolve) => {
        http.getIndexLocation(data).then((res) => {
          context.commit('setFiveA', res)
          resolve(res)
        })
      })
    },
    async getIndexInfo (context, param) { // 首页全部请求
      try {
        let banner = await http.getBanner(param)
        context.commit('setBanner', banner)
        let message = await http.getMessage(param)
        context.commit('setMessage', message)
        let project = await http.getProject(param)
        context.commit('setProject', project)
        let cms = await http.getCms(param)
        context.commit('setCms', cms)
      } catch (err) {
        console.log(err)
      }
    }
  }
}
