import Ajax from '../../util/ajax'
import api from '../../util/api'
const http = new Object

// 请求数据
http.getUserInfo = (data) => { // 获取用户信息
  return new Promise((resolve, reject) => {
    Ajax(api.user.info.url, {
      method: api.user.info.method,
      queryData: {
        org: data.org
      }
    }).then(res => {
      resolve(res)
    }).catch((err) => {
      reject(err)
    })
  })
}

http.getCaseInfo = (data) => { // 获取案场列表
  return new Promise((resolve, reject) => {
    Ajax(api.user.case.url, {
      method: api.user.case.method,
      queryData: {
        org: data
      }
    }).then(res => {
      resolve(res)
    }).catch((err) => {
      reject(err)
    })
  })
}

http.getCaptcha = (data) => { // 获取验证码
  console.log(data)
  return new Promise((resolve, reject) => {
    Ajax(api.user.captcha.url, {
      method: api.user.captcha.method,
      queryData: {
        phone: data
      }
    }).then(res => {
      resolve(res)
    }).catch((err) => {
      reject(err)
    })
  })
}

http.submitData = (data) => { // 绑定手机号
  console.log(data)
  return new Promise((resolve, reject) => {
    Ajax(api.user.wxsignup.url, {
      method: api.user.wxsignup.method,
      data: data
    }).then(res => {
      resolve(res)
    }).catch((err) => {
      reject(err)
    })
  })
}

export default {
  namespaced: true,
  state: {
    userInfo: {},
    caseInfo: {}
  },
  mutations: {
    setUserInfo (state, data) {
      state.userInfo = data
    },
    setCaseInfo (state, data) {
      state.caseInfo = data
    }
  },
  actions: {
    getUserInfo (context, data) {
      return new Promise((resolve) => {
        http.getUserInfo(data).then((res) => {
          context.commit('setUserInfo', res)
          resolve(res)
        })
      })
    },
    getCaseInfo (context, data) {
      return new Promise((resolve) => {
        http.getCaseInfo(data).then((res) => {
          context.commit('setCaseInfo', res)
          resolve(res)
        })
      })
    },
    getCaptcha (context, data) {
      return new Promise((resolve) => {
        http.getCaptcha(data).then((res) => {
          resolve(res)
        })
      })
    },
    submitData(context, data) {
      return new Promise((resolve) => {
        http.submitData(data).then((res) => {
          resolve(res)
        })
      })
    }
  }
}
